[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetScrolledClientRect

Get the visible part of the logical client area.

## Declaration

Source position: controls.pp line 1397

`protected function TControl.GetScrolledClientRect: TRect; virtual;`

## Function result

The scrolled ClientRect (TopLeft, BottomRight).

## Description

Includes the ScrollOffset in a TScrollingWinControl Parent.

For TControl: When the Parent is a TScrollingWinControl, the ClientRect is offset by its ScrollOffset. This Rect can be intersected with the visible ClientArea of the Parent, to get the actual visible part of the control.

For TWinControl: The visible ClientRect is offset by ScrollOffset, to reflect the visible part of the logical ClientRect.

## See also

TControl.ClientRect |  | Size of the client area for the control.
TControl.GetScrolledClientRect |  | Get the visible part of the logical client area.